use super::*;
#[test]
fn test_pattern_with_dot_star_match() {
    let string = "aaabbbcc".to_string();
    let pattern = "a.*cc".to_string();
    assert!(is_match(&string, &pattern));
}

#[test]
fn test_pattern_with_dot_star_no_match() {
    let string = "aaabbbcc".to_string();
    let pattern = "a.*cd".to_string();
    assert!(!is_match(&string, &pattern));
}

#[test]
fn test_exact_match() {
    let string = "aabbcc".to_string();
    let pattern = "aabbcc".to_string();
    assert!(is_match(&string, &pattern));
}

#[test]
fn test_no_match() {
    let string = "aabbccd".to_string();
    let pattern = "aabbLLccd".to_string();
    assert!(!is_match(&string, &pattern));
}
#[test]
fn test_part_match_beginning() {
    let string = "aabbccd".to_string();
    let pattern = "aabb".to_string();
    assert!(is_match(&string, &pattern));
}
#[test]
fn test_part_match__middle() {
    let string = "cwdcwdaabbccd".to_string();
    let pattern = "aabb".to_string();
    assert!(is_match(&string, &pattern));
}
#[test]
fn test_no_match_with_space() {
    let string = "aab bccd".to_string();
    let pattern = "aabbccd".to_string();
    assert!(!is_match(&string, &pattern));
}
#[test]
fn test_match_star_with_space() {
    let string = "aab bccd".to_string();
    let pattern = "aa.*bccd".to_string();
    assert!(is_match(&string, &pattern));
}

#[test]
fn test_optional_characters_present() {
    let string = "abbbcc".to_string();
    let pattern = "ab*cc".to_string();
    assert!(is_match(&string, &pattern));
}
#[test]
fn test_optional_characters_absent() {
    let string = "acc".to_string();
    let pattern = "ab*cc".to_string();
    assert!(is_match(&string, &pattern));
}

#[test]
fn test_dot_wildcard_middle() {
    let string = "aabbcc".to_string();
    let pattern = "a..bcc".to_string();
    assert!(is_match(&string, &pattern));
}
#[test]
fn test_dot_wildcard_end() {
    let string = "aabbcc".to_string();
    let pattern = "aabbc.".to_string();
    assert!(is_match(&string, &pattern));
}

#[test]
fn test_dot_wildcard_beginning() {
    let string = "aabbcc".to_string();
    let pattern = ".abbcc".to_string();
    assert!(is_match(&string, &pattern));
}
#[test]
fn test_ab() {
    let string = "ab".to_string();
    let pattern = "a*b".to_string();
    assert!(is_match(&string, &pattern));
}
